Core - Bug # 52866

Status: Resolved Priority: Must have
Author: Alexander Stehlik Category: Install Tool
Created: 2013-10-15 Assigned To:

Updated: 2013-10-16 Due date:

TYPO3 Version: 6.2

PHP Version: 54

Complexity: medium

Is Regression: No

Sprint Focus:

Subject: ExtensionCompatibility Tester is broken

Description
The ExtensionCompatibility Tester in the install tool does not work with the new package manager.

Running Ajax request

http://typo3instance.tld/typo3/sysext/install/Start/Install.php?install[context]=standalone&install[controller]=tool&install[action]=lo
adExtensions&install[controller]=ajax&install[action]=extensionCompatibility Tester&install[extensionCompatibility Tester][force Check

heck]=0&_=1381864129627

ends in a PHP error:

Call to undefined method TYPO3\CMS\Core\Utility\ExtensionManagementUtility::loadTypo3LoadedExtensioninformation() in

/typo3/sysext/install/Classes/Controller/Action/Ajax/ExtensionCompatibility Tester.php on line 102

Related issues:
duplicated by Core - Bug # 52891: Fatal error in ExtensionCompatibility Tester Closed
duplicated by Core - Bug # 53472: check for broken extensions is broken Closed

2013-10-16
2013-11-09

Associated revisions

Revision ca4d2d39 - 2013-10-16 14:02 - Alexander Stehlik

[BUGFIX] Loaded Extensions in ExtensionCompatibility Tester

Remove the obsolete call to loadTypo3LoadedExtensioninformation() and
read the loaded Extensions from the TYPO3_LOADED_EXT global.

Additionally the array type hints are replaced with the ArrayAccess
interface since the LoadedExtensionsArray returns instances of
LoadedExtensionArrayElement which implements that interface.

Resolves: #52866

Releases: 6.2

Change-Id: 140db793f2c35b50636¢c8411aa7a141efc3c90320
Reviewed-on: https://review.typo3.org/24820

Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

Reviewed-by: Thomas Maroschik

2015-08-04
Tested-by: Thomas Maroschik
Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2013-10-15 22:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24820

#2 - 2013-10-15 22:14 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/24820

#3 - 2013-10-15 23:17 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24820

#4 - 2013-10-16 14:30 - Alexander Stehlik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ca4d2d39976218de9eef38e0c4cd20e5ee1d4785.
